CKEDITOR.plugins.add( 'marq',
{
	init: function( editor )
	{
		editor.addCommand( 'marqCommand',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد النص اولا');
					return;
				}
				editor.insertHtml( "[marq]" + selected +"[/marq]" );
			}
		});
		editor.ui.addButton( 'marq',
		{
			label: 'عرض نص متحرك للأعلى في إطار مع تغيير لون النص ولون خلفية النص عند كل عرض للموضوع',
			command: 'marqCommand',
			icon: this.path + 'marq.gif'
		});
	}
});